Name:             python-ipaddress
Version:          1.0.23
Release:          1
Summary:          IPv4/IPv6 manipulation library
License:          Python	
URL:              https://github.com/phihag/ipaddress
Source0:          https://pypi.io/packages/source/i/ipaddress/ipaddress-%{version}.tar.gz

BuildArch:        noarch

%if 0%{?with_python2}
BuildRequires:    python2-devel python2-setuptools
%endif

%if 0%{?with_python3}
BuildRequires:    python3-devel python3-setuptools
%endif

%description
Python 3.3+'s ipaddress for Python 2.6, 2.7, 3.2.

%if 0%{?with_python2}
%package -n         python2-ipaddress
Summary:            Python2 package for python-ipaddress
Provides:           python-ipaddress = %{version}-%{release}
Obsoletes: 	    python-ipaddress < %{version}-%{release}

%description -n     python2-ipaddress
Python2 package for python-ipaddress
%endif

%if 0%{?with_python3}
%package -n         python3-ipaddress
Summary:            Python3 package for python-ipaddress

%description -n     python3-ipaddress
Python3 package for python-ipaddress
%endif

%prep
%autosetup -n ipaddress-%{version} -p1

%build
%if 0%{?with_python2}
%py2_build
%endif

%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif

%if 0%{?with_python3}
%py3_install
%endif

%if 0%{?with_python2}
%files -n python2-ipaddress
%defattr(-,root,root)
%doc README.md
%license LICENSE
%{python2_sitelib}/*
%endif

%if 0%{?with_python3}
%files -n python3-ipaddress
%defattr(-,root,root)
%doc README.md
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
* Wed Aug 19 2020 zhanzhimin <zhanzhimin@huawei.com> - 1.0.23-1
- version update to 1.0.23

* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.0.18-9
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:delete the python provides in python2

* Thu Oct 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.18-8
- Type:bugfix
- Id:NA
- SUG:NA
- DESC: add license files to rpm package

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.18-7
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:bugfix about the provides for python2-ipaddress

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.18-6
- Package init
